[TASK] Improve migration steps of BE viewhelper attributes deprecation 27/51927/5
authorTymoteusz Motylewski <t.motylewski@gmail.com>
Thu, 2 Mar 2017 11:59:06 +0000 (12:59 +0100)
committerBenni Mack <benni@typo3.org>
Fri, 3 Mar 2017 12:49:11 +0000 (13:49 +0100)
Resolves: #80097
Releases: master
Change-Id: Ia0d4448bfa257bb3f77f12baaa210bc1af1b6b57
Reviewed-on: https://review.typo3.org/51927
Reviewed-by: Benni Mack <benni@typo3.org>
Tested-by: Benni Mack <benni@typo3.org>
typo3/sysext/core/Documentation/Changelog/master/Deprecation-80047-DeprecateJQueryAndExtJSForBEViewhelpers.rst

index 3af9c49..c62b825 100644 (file)
@@ -44,6 +44,21 @@ Any installation using the mentioned attributes.
 Migration
 =========
 
-No migration available.
+Use `includeRequireJsModules` property of the :html:`<f:be.pageRenderer>` or :html:`<f:be.container>` viewhelpers to add needed RequireJS modules.
+
+Example:
+
+.. code-block:: xml
+
+ <f:be.pageRenderer
+       includeRequireJsModules="{
+               0:'TYPO3/CMS/Backend/ContextMenu'
+       }"
+/>
+
+
+See also documentation about RequireJS documentation_
+
+.. _documentation: https://docs.typo3.org/typo3cms/CoreApiReference/ApiOverview/JavaScript/RequireJS/Index.html 
 
 .. index:: Backend, Fluid